Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.varia.stats.report
Class ReportGenerator

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.varia.stats.report.ReportGenerator

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, ReportGeneratorMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

Direct Known Subclasses:
  CacheReportGenerator, GeneralReportGenerator, TableReportGenerator

public abstract class ReportGenerator
extends org.jboss.system.ServiceMBeanSupport
implements ReportGeneratorMBean

Version:
  `$Revision: 1.2 $`
Author:
  Alexey Loubyansky

Field Summary
`protected String` | `description`
`protected String` | `name`
`protected javax.management.ObjectName` | `statsCollector`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`ReportGenerator()`

Method Summary
`protected abstract void` | `content(String reportName, StringBuffer buf)`
`String` | `generate(String reportName)`
`String` | `getDescription()`
`String` | `getName()`
`protected Iterator` | `getReportsIterator()`
`javax.management.ObjectName` | `getStatsCollector()`
`protected TxStatistics` | `getTxStatistics()`
`void` | `setDescription(String description)`
`void` | `setName(String name)`
`void` | `setStatsCollector(javax.management.ObjectName statsCollector)`
`void` | `startService()`
`void` | `stopService()`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### statsCollector

    protected javax.management.ObjectName statsCollector

### name

    protected String name

### description

    protected String description

Constructor Detail

### ReportGenerator

    public ReportGenerator()

Method Detail

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `ReportGeneratorMBean`

### getName

    public String getName()

  Specified by:
    `getName` in interface `ReportGeneratorMBean`

### setDescription

    public void setDescription(String description)

  Specified by:
    `setDescription` in interface `ReportGeneratorMBean`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `ReportGeneratorMBean`

### setStatsCollector

    public void setStatsCollector(javax.management.ObjectName statsCollector)

  Specified by:
    `setStatsCollector` in interface `ReportGeneratorMBean`

### getStatsCollector

    public javax.management.ObjectName getStatsCollector()

  Specified by:
    `getStatsCollector` in interface `ReportGeneratorMBean`

### startService

    public void startService()
                      throws Exception

  Throws:
    `Exception`

### stopService

    public void stopService()
                     throws Exception

  Throws:
    `Exception`

### generate

    public String generate(String reportName)
                    throws Exception

  Specified by:
    `generate` in interface `ReportGeneratorMBean`
  Throws:
    `Exception`

### content

    protected abstract void content(String reportName,
                                    StringBuffer buf)
                             throws Exception

  Throws:
    `Exception`

### getReportsIterator

    protected Iterator getReportsIterator()
                                   throws Exception

  Throws:
    `Exception`

### getTxStatistics

    protected TxStatistics getTxStatistics()
                                    throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.